/*
 * BaseShapes_impl.hpp
 *
 *  Created on: Jun 18, 2010
 *      Author: crueger
 */

#ifndef BASESHAPES_IMPL_HPP_
#define BASESHAPES_IMPL_HPP_

#include "Shapes/Shape_impl.hpp"

class Sphere_impl : public Shape_impl {
  virtual bool isInside(const Vector &point);
  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
};

class Cuboid_impl : public Shape_impl {
  virtual bool isInside(const Vector &point);
  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
};

#endif /* BASESHAPES_IMPL_HPP_ */
